class MachineTypesController < ApplicationController
  model_data_store(MachineType, {create: false, read: true, update: false, delete: false, index: true}, {create: false, read: false, update: false, delete: false, index: false})

  def list
    @type = MachineType.all
  end

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:machine_type).permit(:name, machine_ids: [])
  end
end