class AddBlockJob < ApplicationJob
  queue_as :default

  def perform(add_params)
    ActiveRecord::Base.connection_pool.with_connection do
      model = Block.get_by_dmc(add_params[:dmc])
      model.attributes = add_params

      model.increase_use_count(1)

      yield model if block_given?
      model.broadcast if model.save
    end
  end
end
