# == Schema Information
#
# Table name: calibration_measurements
#
#  id             :bigint           not null, primary key
#  name           :string(4000)
#  value          :string(4000)
#  created_at     :datetime         not null
#  updated_at     :datetime         not null
#  calibration_id :bigint           not null
#
# Indexes
#
#  index_calibration_measurements_on_calibration_id  (calibration_id)
#
# Foreign Keys
#
#  fk_rails_...  (calibration_id => calibrations.id) ON DELETE => cascade
#
class CalibrationMeasurement < ApplicationRecord
  belongs_to :calibration, touch: true
end
