# == Schema Information
#
# Table name: job_manufacturing_processes
#
#  id                       :bigint           not null, primary key
#  job_id                   :bigint
#  manufacturing_process_id :bigint
#
# Indexes
#
#  index_job_manufacturing_processes_on_job_id                    (job_id)
#  index_job_manufacturing_processes_on_manufacturing_process_id  (manufacturing_process_id)
#
class JobManufacturingProcess < ApplicationRecord
  belongs_to :job
  belongs_to :manufacturing_process
end
