# -*- SkipSchemaAnnotations

module MachineTypes
  module Engravers
    class LensEngraverUv < Engraver
      include AbortFilterMachineTypes::LensEngraverUv

      class << self
        def seed_version
          1
        end

        def display_name
          "Lens-Engraver-UV"
        end

        def name
          "lens_engraver_uv"
        end

        def image_name
          nil
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        # def error_filters
        #   error_filters_data
        # end

        def abort_filters
          abort_filters_data
        end
      end
    end
  end
end

