# -*- SkipSchemaAnnotations

module MachineTypes
  module Generators
    class VftMacroE < Generator
      class << self
        def seed_version
          1
        end

        def display_name
          "VFT-Macro-E"
        end

        def name
          "vft_macro_e"
        end

        def image_name
          'vft_macro_e.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end
      end
    end
  end
end

