json.extract! job_process, :id, :machine_id, :job_id, :side, :manufacturing_process_id, :batch_id, :time, :created_at, :updated_at
json.machine do
  json.partial!("machines/machine", machine: job_process.machine) if job_process.machine
end
json.job do
  json.partial!("jobs/job", job: job_process.job) if job_process.job
end
json.url job_process_url(job_process, format: :json)

