class CreateOrders < ActiveRecord::Migration[6.0]
  def change
    create_table :orders do |t|
      t.string :job_number, index: true
      t.string :name
      t.string :description
      t.string :order_type
      t.string :workflow_state
      t.integer :priority
      t.string :patient
      t.time :rtime
      t.time :wtime

      t.references :address, foreign_key: {to_table: :addresses}, null: true
      t.references :ship_to, foreign_key: {to_table: :addresses}, null: true

      t.timestamps
    end
  end
end
