class CreateJobStates < ActiveRecord::Migration[6.0]
  def change
    create_table :job_states do |t|
      t.belongs_to :job, null: false, foreign_key: {on_delete: :cascade}
      t.string :batch_id
      t.string :process
      t.integer :side
      t.integer :state, default: 3 # default STARTED
      t.string :comment
      t.boolean :scrap
      t.string :scrap_reason
      t.datetime :time

      t.timestamps
    end
  end
end
