class AddHoldConnectionToBlockPickings < ActiveRecord::Migration[6.1]
  def up
    add_column :block_pickings, :delay_on_socket_open, :integer, :default => 0
    add_column :block_pickings, :hold_connection, :boolean, :default => false

    execute("update block_pickings set delay_on_socket_open=0, hold_connection='true'")
  end

  def down
    remove_column :block_pickings, :delay_on_socket_open
    remove_column :block_pickings, :hold_connection
  end
end
