# -*- SkipSchemaAnnotations

module AbortFilterMachineTypes
  module MultiFlex
    extend ActiveSupport::Concern

    class_methods do
      def abort_filters_data
        [
          {name: 'Lens missing', regexps: 'lens missing', behaviour: 'replace', replace_name: 'Lens missing', group_code: 'lens_err_1'},
          {name: 'Polishing aborted', regexps: 'polishing aborted', behaviour: 'replace', replace_name: 'Polishing aborted', group_code: 'polish_err_1'},
          {name: 'Lost in wash station', regexps: 'lost in wash station', behaviour: 'replace', replace_name: 'Lost in wash station', group_code: 'lost_err_1'},
          {name: 'Input Error', regexps: 'input error', behaviour: 'replace', replace_name: 'Input Error', group_code: 'inp_err_1'},
          {name: 'Calculation Error', regexps: 'calculation Error', behaviour: 'replace', replace_name: 'Calculation Error', group_code: 'calc_err_1'},
        ]
      end
    end
  end
end
