# -*- SkipSchemaAnnotations

module AbortFilterMachineTypes
  module MultiFlex2
    extend ActiveSupport::Concern

    class_methods do
      def abort_filters_data
        [
          {name: 'Lens missing', regexps: 'lens missing', behaviour: 'replace', replace_name: 'Lens missing', group_code: 'lens_err_1'},
          {name: 'Polishing aborted', regexps: 'polishing aborted', behaviour: 'replace', replace_name: 'Polishing aborted', group_code: 'polish_err_1'},
          {name: 'Lost in washing station', regexps: 'lost in washing station', behaviour: 'replace', replace_name: 'Lost in washing station', group_code: 'lost_err_1'},
        ]
      end
    end
  end
end
