# == Schema Information
#
# Table name: batch_run_data
#
#  id           :bigint           not null, primary key
#  name         :string(4000)
#  value        :string(4000)
#  created_at   :datetime         not null
#  updated_at   :datetime         not null
#  batch_run_id :bigint           not null
#
# Indexes
#
#  index_batch_run_data_on_batch_run_id  (batch_run_id)
#
# Foreign Keys
#
#  fk_rails_...  (batch_run_id => batch_runs.id) ON DELETE => cascade
#
class BatchRunDatum < ApplicationRecord
  belongs_to :batch_run
end
