# == Schema Information
#
# Table name: machine_data_push_targets
#
#  id                 :bigint           not null, primary key
#  base_url           :string
#  calibration_path   :string
#  error_path         :string
#  event_path         :string
#  job_state_path     :string
#  machine_state_path :string
#  maintenance_path   :string
#  name               :string
#  order_path         :string
#  process_data_path  :string
#  send_to            :integer
#  created_at         :datetime         not null
#  updated_at         :datetime         not null
#
class MachineDataPushTarget < ApplicationRecord
  has_many :machine_machine_data_push_targets
  has_many :machines, :through => :machine_machine_data_push_targets

  enum send_to: [:all_machines, :specific_machines]
end
