json.operationList do
  json.cache! @job_processes do
    json.cache_collection! @job_processes do |job_process, index|
      json.id job_process.id
      json.name job_process.manufacturing_process&.name
      json.description nil # Not needed
      json.sequenceNumber index
      json.importKey "#{job_process.job.number}-#{job_process.side_letter}"
      json.status nil # TODO: find out what to put here
      json.resource job_process.machine&.sn
      json.lastJobStateType job_process.job.last_status_type
      json.lastProcessingTime job_process.job.last_job_state&.time
    end
  end
end
json.nextOffset JobProcess.next_offset(query: @job_processes, limit: @limit, offset: @offset)
