class CreateBlocks < ActiveRecord::Migration[6.0]
  def change
    create_table :blocks do |t|
      t.string :dmc
      t.integer :side
      t.string :rfid_tag
      t.integer :usage_count, default: 0
      t.references :job, null: true, foreign_key: {on_delete: :nullify}

      t.timestamps
    end
    add_index :blocks, :dmc
  end
end
