class AddRetryCountToArchiveTasks < ActiveRecord::Migration[6.1]
  def up
    add_column :archive_tasks, :retry_count, :integer, :default => 0
    execute("update archive_tasks set retry_count=0")
  end

  def down
    remove_column :archive_tasks, :retry_count
  end
end
