class CreateBlockPickingTags < ActiveRecord::Migration[6.1]
  def change
    create_table :block_picking_tags do |t|
      t.string :name
      t.string :tag
      t.string :regex

      t.belongs_to :block_picking, null: false, foreign_key: {on_delete: :cascade}
      t.timestamps
    end
  end
end
