class AddDrlTolerancesToProductionSettings < ActiveRecord::Migration[6.1]
  class ProductionSetting < ActiveRecord::Base
  end

  def change
    add_column :production_settings, :tx_tolerance, :float, default: 0.2
    add_column :production_settings, :ty_tolerance, :float, default: 0.2
    add_column :production_settings, :rz_tolerance, :float, default: 0.2
    ProductionSetting.update(tx_tolerance: 0.2, ty_tolerance: 0.2, rz_tolerance: 0.2)
  end
end
