ProductionSetting.instance if ProductionSetting.count == 0
DataArchiveSetting.create(job_max_age: 336) if DataArchiveSetting.count == 0
BlockReuseSetting.create(enable_server: false, server_port: 3021, block_wash_after: 30, block_discard_after: 500) if BlockReuseSetting.count == 0

Color.seed

# Machine Type Seeds
MachineTypes::Blockers::Blocker.seed_all
MachineTypes::Deblockers::Deblocker.seed_all
MachineTypes::Generators::Generator.seed_all
MachineTypes::Polishers::Polisher.seed_all
MachineTypes::Engravers::Engraver.seed_all
MachineTypes::Others::Other.seed_all
MachineTypes::BoxCoaters::BoxCoater.seed_all

if ENV['API_LOAD_TEST'] == 'true'
    load(Rails.root.join( 'db', 'seeds', "api_load.rb"))
end

BlockPicking.migrate_legacy_connections